Skip to main content

List subscriptions

GET 

/v2/subscriptions/subscriptions

Retrieves a list of all subscriptions.

Filtering​

This endpoint supports filtering. For the general syntax, see Filtering.

The following attributes and operators are supported.

OperatorAttributeDescription
eqaccount_id, name, email, external_refEquals. Checks if the values of two operands are equal. If they are, the condition is true.
inaccount_id, name, email, external_refIn. Checks if the value is in the specified list. If it is, the condition is true.

Including Resources​

You can use the include parameter to include the following resources with this endpoint.

ResourceRequiredDescription
pricing_options, plansOptionalRetrieves all pricing options and plans associated with a subscription.
plansOptionalRetrieves all plans associated with a subscription.
pricing_optionsOptionalRetrieves all pricing options associated with a subscription.

See Characteristics of Include Parameter.

Request​

Responses​

Success. A list of subscriptions is returned.

Ask External AI